Bug 247982 - need a way to disable ide drivers
Summary: need a way to disable ide drivers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Gerd Hoffmann
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 251292 425461
TreeView+ depends on / blocked
 
Reported: 2007-07-12 14:25 UTC by Gerd Hoffmann
Modified: 2008-05-21 14:46 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:46:04 UTC


Attachments (Terms of Use)
patch intoduces ide=disable (2.17 KB, patch)
2007-07-12 14:26 UTC, Gerd Hoffmann
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Gerd Hoffmann 2007-07-12 14:25:44 UTC
Description of problem:
We want be able to run RHEL-5 fully virtualized guests with paravirtualized
drivers.  Xen emulates a IDE disk controller (PIIX3) which is driven by the
drivers/ide/ subsystem in RHEL-5.

The ide drivers are compiled statically, thus it is impossible to select ide vs.
paravirtualied driver by module load order.  That in turn requires an kernel
command line option to disable the ide drivers so the paravirtual driver can
step in.

As the paravirtual drivers are optional we can't automatically disable ide for
the xen disk controller, although it can easily be identified by pci subsystem id.

Comment 1 Gerd Hoffmann 2007-07-12 14:26:55 UTC
Created attachment 159061 [details]
patch intoduces ide=disable

Comment 2 RHEL Product and Program Management 2007-08-30 16:07:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Don Zickus 2007-11-29 17:05:31 UTC
in 2.6.18-58.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2008-05-21 14:46:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.